2023.07.14
  1 修改网关IP为域名方式
2023.07.02
  1 增加收到回调链接执行的结果记录,并支持HTTPS POST方式进行回调
2023.06.20
  1 取消NC5设备的MODECONFIG处理
2023.05.17
  1 针对采信读取异常影响后续短信读取进行处理.
  2 取消短信时间戳中的时区信息判断,统一以本地时区为准
  3 针对SIM7600CE-T/SIM7600CE-JT1S的语音播报速度进行分开处理
2023.05.11
  1 修改语音播报结束判断有误,造成提前挂断的问题
  2 优化语音SIM7600CE设备初始化指令
  3 解决升级JETTY9后LINUX显示找不到设备的问题
2023.05.09
  1 SIMCOM_SIM7600CE-XXXX设备合并处理, 型号显示为SIM7600CE_O
2023.04.24
  1 完善语音播报完毕后及时挂断处理
  2 修复处理多个邮件获取发送短信冲突问题
2023.04.23
  1 处理语音播报过长导致没有声音的问题
2023.04.19
  1 语音播报判断挂断状态并延长等待时长
2023.04.18
  1 修改语音播报指令中未添加引号导致ERROR的情况
  2 添加所有MODEM都支持振铃的指令处理
2023.04.16
  1 添加SIMCOM_SIM7600CE-JT1S设备支持
  2 短信发送完毕后增加扩展选项:  振铃, 语音播报 (SIMCOM_SIM7600CE-JT1S支持)
2023.03.26
  1 修改初始设备未授权显示为授权错误的问题
2023.03.23
  1 修复未注册设备可发送88条短信的问题
2023.03.19
  1 修复windows版ssl端口访问异常的问题
  2 默认初始设置不注册GSM网络
2023.03.12
  1 修改jetty版本为jetty9.4.50
  2 默认不启动https接口服务
2022.06.19
  1 延长网口设备发送AT指令后接收的等待时长
  2 在添加网口设备时,显示已经添加过的网络设备信息
2022.06.14
  1 修改注册码失效后提示短信可发送条数异常的问题
2022.06.12
  1 支持按天数的注册码
2022.03.31
  1 增加TdTech-MH5000短信设备支持
2022.03.09
  1 调整AT指令默认响应时间,从200ms延长到300ms
  2 查询设备AT-OK响应时, 第一遍回复异常后再试一次
2022.03.08
  1 添加NbIOT-BC32支持
2022.02.24
  1 修复Linux切换英文显示失败的问题
2022.02.10
  1 针对NC5,ME909(M1806-ME)设备, 接收消息时, 添加网络定时检测
2022.02.09
  1 修复因配置文件加密存储造成部分数据库获取数据失败的问题
  2 修改linux系统下jetty临时路径, 避免文件被系统误清除
2022.01.26
  1 处理nbiot-BC26订阅主题失败后导致无法接收消息的问题
2021.12.24
  1 修复nbiot配置文件异常处理的BUG
2021.12.23
  1 收短信(读取短信列表)接口返回结果中增加短信接收时间信息(receive_date)
  2 收短信接口添加可选项: minid, 获取结果中的id必须大于minid,且结果按id从小到大排序
2021.12.22
  1 处理接收时间配置变动后不能及时生效, 导致接收短信延迟的问题
2021.12.17
  1 解决指定端口或设备发送短信时有时候被其他设备发送的问题
2021.12.10
  1 服务加载时增加网关通道状态获取
2021.12.09
  1 添加NBIOT-XYM110的处理
  2 对配置文件中用户密码和数据库密码加密存储
  3 服务加载时对端口进行是否重复判断
2021.11.25
  1 完善NBIOT接收到异常消息的处理，避免连接断开的情况
2021.11.19
  1 回调URL添加https支持
2021.10.27
  1 修复log日志下载文件权限的问题
2021.10.20
  1 完善NBIOT-SIM7020C设备控制
2021.10.18
  1 添加NBIOT-SIM7020C的处理
2021.09.15
  1 对QUECTEL/EC20F, SIMCOM/SIM7600CE添加初始化AT指令
2021.09.06
  1 增加Quectel_M26支持
2021.08.13
  1 增加了回调接口配置界面、重启中间件功能
  2 针对IE浏览器增加了noscript提醒
  3 修复子账户菜单显示错误问题与发送短信页面上传文件不显示文件名的问题
2021.07.30
  1 修改默认CPMS="SM"指令->CPMS="SM","SM","SM"
2021.07.29
  1 设备默认初始化添加AT+CNMI=1,1,0,1,1设置
2021.07.19
  1 添加INCORPORATED_SIMCOM_SIM7600CE-L支持
2021.07.15
  1 优化短信接收缓冲处理
2021.07.14
  1 添加INCORPORATED-A7600C1-SE支持
2021.06.23
  1 修复手机设备名含特殊符号导致无法删除、停止等操作的问题
  2 添加EC20F短信设备的支持
  3 变更未注册短信的提示信息
2021.06.01
  1 修复因静默短信支持导致无法发送8位短信的BUG
2021.05.10
  1 完善线程结束机制和状态显示
2021.05.06
  1 完善线程等待机制, 减少短信设备处理等待时间
  2 完善短信设备状态显示
2021.04.16
  1 升级部分jar包(commons-collections-3.2.2,mysql-connector-java-8.0.23,mysql-connector-java-5.1.49-bin)
2021.03.18
  1.静默短信支持
  2.修复部分数据库http接口返回msg_id=0的问题
2021.02.25
  1.处理数据记录有查询记录但导出为空的情况
  2.NC5复位时候添加AT+CFUN=1,1操作，发送短信时不发送AT+CMMS=2
2021.02.03
  1.添加8050的SSL端口可不启动(配置文件中设为0)
  2.程序强制打断,避免日志文件膨胀
  3.网关短信添加观察记录
  4.取消IP地址绑定
  5.针对NC5网口模式的识别匹配
  6.修复一体机修改IP地址时,不设置网关地址会出错并导致网络无法连接的问题
  7.手机和网关发送轮询间隔在界面上进行设置(之前只能手动改配置文件)
2020.12.30
  1.添加神舟通用数据库 oscar 支持
  2.添加人大金仓数据库 kingbase8 支持
  3.添加南大通用数据库 gbase8a 支持
  4.处理IP方式的MH5000运行时无法获得设备号的问题
2020.12.25
  1.针对MH5000进行优化，增加发送指令前的缓冲清理，减少短信接收删除的时间
  2.修改IP模式的MH5000设备无法匹配型号的问题
  3.修复IPmodem 设备未启动无法获得设备编号的问题(RC3)
  4.针对出现异常未及时退出循环导致日志文件迅速增长的问题进行处理
  5.IP方式的MODEM添加AT发送日志(INFO)
2020.11.11
  1.优化RC3和NC5系列收发短信进行优化
  2.针对遇到设备频繁重启问题进行优化
  3.在状态页显示版本信息
2020.10.28
  1.解决Yuga系列未启动状态无法获取设备编号的问题
2020.09.16
  1.添加测试数据库连接失败日志记录
2020.09.04
  1.添加8060端口可选择SSL模式
2020.08.25
  1.添加Yuga-CLM920_RC3获取CCID的功能
2020.08.10
  1.修复8字节短信发送时最后一个字节处理错误的问题
2020.06.29
  1.WEB中间件改用https加密连接(使用8090端口通信的http连接，会自动跳转到使用8050端口的https连接)。
  2.URL接口改用https加密连接.
  3.MG35设备读短信优化。
2020.06.17
  1.5G短信猫优化:（1）、接收信息优化；（2）、CCID取得优化。
  2.两个以上短信猫设备同时接收信息时，会出现信息接收混乱的BUG修复。(临时表中添加ccid字段)
  3.NbIoT设备通信ID重复的情况下，用【random_number_seed】这个字段做二次转换，以避免这种情况。
2020.05.08
  1.引入5G模块(华为MH5000-31)。
  2.postgresql数据库驱动升级。
2020.04.23
  1.添加短信猫是否选择注册GSM网络的开关。
  2.北斗设备信号表现方式变更。
  3.邮件接口完善:可以手动指定收信人；可以指定发信内容是从邮件正文中提取还是从标题中提取。
  4.添加待发送信息一键取消功能。
  5.NbIoT，北斗，LoRa系统BUG修复：从临时表中只取各息的信息进行分析。
2020.02.25
  1.NbIoT系统，北斗系统，LoRa系统参数设置页面调整。
  2.修复了NbIoT系统在使用M5310A设备直接接收中文乱码的问题。
  3.添加了NbIoT设备发送信息时QOS指定为0时发送信息的功能。
2020.02.17
  1.修复了数据库连接导致的内存溢出的问题。
  2.修复了邮件缓存导致的内存溢出的问题。
2020.01.17
  1.修复了物联网系统信息丢失的问题。
  2.修复了物联网设备显示状态和实际工作状态不一致的问题。
  3.修复了北斗系统无法发送BCD编码和纯中文编码的问题。
2019.12.23
  1.物联网系统设备信息页面刷新缓慢问题修复。
  2.物联网系统可以添加虚拟设备。
2019.12.02
  1.北斗系统、物联网系统信息丢失BUG修复。
  2.物联网模块【M5310-A】直接收发中文对应。
  3.物联网模块无法启动BUG修复。
  4.北斗模块，物联网模块支持给自身发送信息。
  5.北斗系统，物联网系统信息长度记录方式变更：字符数-->字节数
  6.修复了设备掉线后，响应时间过长的问题。
2019.11.22
  1.添加了北斗系统：支持福大北斗设备。
2019.11.20 新增功能：
  1.修复了物联网系统信息接收表的默认编码（GBK --> UTF8）。
  2.优化了物联网设备的检测流程。
  3.精简了LOG日志。
2019.11.13 新增功能：
  1.LoRa系统英文界面功能栏显示错误的BUG修复。
  2.添加了物联网系统：支持BC26和M5310-A两种模块。
2019.10.12 新增功能：
  1.修复了使用手机设备发送信息的时候，指定的设备和实际发送用的设备不一致的问题。
  2.修复了LoRa设备长信息丢失率过高的问题。
  3.更新了部分功能的图标。
  4.添加了LoRa设备掉线重连的功能。
2019.09.03 新增功能：
  1.添加了对LoRa设备的支持。
2019.08.27 新增功能：
  1.使用8bit编码方式发送信息编码方式修改。
  2.支持接收二进制信息。
  3.修复了从邮箱读取邮件过程中可能出现的无限等待的问题。
  4.Linux版删除自动获取IP功能。
2019.07.19 新增功能：
  1.添加了国际短信的支持（收信人号码可以带【+】）。
  2.修复了设备状态显示不正确的问题。
  3.修复了MG35设备PDU信息解析异常的问题。
2019.07.11 新增功能：
  1.修复了在使用JDK1.8的情况下，使用增强for循环导致的内存泄漏的问题。
2019.07.03 新增功能：
  1.修复了华为MC323设备无法接收回执短信的问题。
  2.增加重启设备的稳定性。
  3.修复了1206B设备PDU信息解析异常的问题。
2019.06.26 新增功能：
  1.修复了小一体机【待发送记录】的【提交时间】显示不正确的问题。
2019.06.20 新增功能：
  1.修复了4G全网通设备（型号：M1806-NC5）偶然出现的，发送短信失败的问题。
2019.05.29 新增功能：
  1.修复了设备（型号：MG35-FT-ON）在同时发送和接收短信时，设备重启失败的问题。
  2.添加了一些设备（型号：M1806-NC5、M1206B-FT-ON、MG35-FT-ON）的接收优先功能。
2019.05.27 新增功能：
  1.解决了在启动WEB中间件服务，默认数据库不是自带数据库的情况下，切换数据库失败的问题。
  2.解决了sqlserver2000数据库连接失败的问题。
2019.05.17 新增功能：
  1.添加了对mysql8的支持。
  2.解决了由于设备（型号：M1806-NC5）的回显被打开后导致解码不正确的问题。
  3.解决了sqlserver2016连接失败的问题。
2019.01.02
  1.http接口调整改为从数据库读取
  2.日志乱序
  3.域格电信卡接收短信
  4.发送线程crash问题修复
2018.06.28
  1.引入4G模块(加入了华为和域格4G模块)。
2018.06.06
  1.修改admin密码验证顺序。
  2.默认的日志debug改为info。
  3.在菜单左下角增加了Release日期。
  4.发送线程在某些情况下会死锁的问题。
2018.05.04
  1.数据库连接池完善，当数据库连接不成功时，会持续尝试连接，直到连接成功。
  2.增加检测设备的稳定性。
2018.04.09
  1.支持达梦数据库。
2017.12.26
  1.更改日志级别为info。
  2.增强重写检测设备部分代码后检测功能的稳定性。
  3.新1206b设备发送问题处理。
  4.升级可以保留授权码。
  5.增加开机自启动脚本。
2017.11.16
  1.接收长短信重复收到的问题。
  2.修改数据库连接池问题引起的延迟发送。
  3.修改oracle数据库游标超过最大数没有释放问题。
  4.web界面发送短信时，选中短信后缀功能，同时设备签名，手机收到短信格式为内容,签名,后缀,签名；签名重复的bug。
  5.系统设置界面增加自定义短信后缀格式功能：yyyy-MM-dd  HH:mm:ss 。
  6.系统管理界面增加普通用户不限制短信条数发送功能和恢复限制条数设置功能。
  7.web中间件界面xp启动设备失败，AGateway 队列间隔时间由500ms恢复成原来的5s。
  8.解决结合手机app超过20条短信发送慢的bug。
2017.03.22
  1.支持Oracle集群功能。
  2.支持多国家语言。
  3.优化了程序内存占用。
  4.提高了接收短信的稳定性。
  5.提高了安卓手机通道发送短信的稳定性。
2016.01.06
  1.修复了手机通道收短信是乱码的问题。
2015.12.31
  1.为短信发送提供了一条全新的通道——安卓手机通道以及配套的手机APP。
2015.11.14
  1.修复了关于地址本与公共地址本的若干bug。
  2.增强了对低版本IE浏览器的兼容性。
2015.10.08
  1.修复了网口设备的unknown异常。
  2.新增了对华为MG301模块的支持。
2015.09.30
  1.修复了MC323设备读取序列号重复的问题。
2015.07.16
  1.修复了网关通道中发送如"%"等特殊字符导致发送失败的问题。
2015.06.04
  1.修复了删除地址本以及删除待发记录的问题。
2015.04.16
  1.去除了日志中多余的HTML代码。
  2.修复了与chrome浏览器兼容性问题。
  3.修复了配置postgresql数据源的问题。
  4.修复了操作员代码的问题。
  5.修复了提交到待发表后不显示内容的问题。
2015.1.28
  1.安装后对网关资料进行清空。
  2.修复了设置网关签名失效的问题。
2015.1.19
  1.修复了已知的bug，对常用功能进行了优化。
2015.1.8
  1.新增了短信记录的导出、地址本导出、地址本排序以及通讯录匹配等功能。
  2.修复了64位linux环境下无法启动中间件服务的问题。
2014.10.16
  1.新增了对华为MC323模块的支持。
2014.9.25
  1.修复了网口MC880066设备检测到后文本协议是PDU的而不是TEXT的问题。
  2.修复了系统设置中勾选了删除短信但仍然导致sim卡短信存满的问题。
2014.8.14
  1.对待发表列表右下角的记录部分的显示进行了优化。
  2.待发列表可以取消单条记录。
  3.修复了8bit数据转不到url指定的jsp页面的问题。
2014.8.4
  1.修改了开发接口说明文档。
2014.5.20
  1.修复了导入excel表格后内容匹配错位的问题以及内容为null的问题。
  2.增加了删除发送记录的功能以及普通用户也可以取消待发送短信。
  3.修复了导入excel表格后，空内容前后字段衔接的问题。
2014.05.05 新增功能
  1.增加了一个短信签名专用于设备，网关签名自动补上【】。
  2.普通用户不能自己修改密码问题修复。
2014.04.18 新增功能
  1.修复了中间件运行两周左右内存溢出的问题。
  2.增加了短信签名和权限控制的功能。
  3.短信网关完善。
2013.10.17 新增功能:
  1.修复了M100在接收短信时会造成死机的问题。
  2.增加了接收短信时，手机号如果在地址本中，显示姓名。
2013.07.30 新增功能:
  1.修复了中间件设备检测和数据源配置功能在Firefox浏览器下不能使用的问题。
  2.修复了中间件运行过程中发送线程会突然中断退出的问题。
2013.05.24 新增功能:
  1.增加了地址本功能。
  2.增加了对网口设备的支持。
  3.增加了邮件接口。
2013.04.25 新增功能:
  1.修复了新版本cup占用率过高的问题。
  2.修复了从界面插入短信，发送端口字段为空的问题。
  3.修复了网关短信余额不足时，充值时不能自动发送的问题。
2013.02.21 新增功能:
  1.增加了对Q2438FCDMA设备的支持。
2013.01.06 新增功能:
  1.增加了多用户的支持。
  2.对SQLSERVER2005-2012的支持。
  3.增加了网关短信。
2012.06.21 新增功能：
  HttpServer接口完善
  1.使用数据库备份HttpServer接口的短信发送记录。
  2.支持短信群发
  3.更改HttpServer接口监听端口时，未释放原有端口bug修复。
  Database接口完善
  1.增加了非法手机号码过滤功能，修复了插入非法手机号码导致短信队列堵塞的bug。
  2.增加定时发送短信功能，在数据库中指定sent_date字段来设置短信的发送时间。
  3.给发送失败短信增加了发送失败时间，以便查询。